<!-- Creado: Félix Ricardo Oliva Alonso, 12/07/2017. Se toma el código de la vista "buscarPaciente" para insertarse en "asignarCamas" -->
<style media="screen">
    #mensajePDF {
        min-height: 20px;
        text-align: center;
        animation-name: mensajePDF;
        animation-duration: 1s;
        animation-iteration-count: infinite;
    }

    @keyframes mensajePDF {
        0%, 100% {
            opacity: 0.6;
            transform: scale(1);
        }
        50% {
            opacity: 1.0;
            transform: scale(1.025);
        }
    }
</style>
<div class="col-sm-12 no-padding" id="wbp">
    <script type="text/javascript">
        $(document).ready(function () {
            jqGetAjax("buscarpaciente-nombre", "tblMovimientos", {});
        });
        //*************** Llamar a vistas **************
        $("#opcion_bp").on("change", function (event) {
            if ($('#opcion_bp').val() == "1") {
                jqGetAjax("cerrar", "tblMovimientos", {});
                jqGetAjax("buscarpaciente-nombre", "tblMovimientos", {});
            }
            if ($('#opcion_bp').val() == "2") {
                jqGetAjax("cerrar", "tblMovimientos", {});
                jqGetAjax("buscarpaciente-curp", "tblMovimientos", {});
            }
            if ($('#opcion_bp').val() == "3") {
                jqGetAjax("cerrar", "tblMovimientos", {});
                jqGetAjax("buscarpaciente-expediente", "tblMovimientos", {});
            }
            if ($('#opcion_bp').val() == "4") {
                jqGetAjax("cerrar", "tblMovimientos", {});
                jqGetAjax("buscarpaciente-folio", "tblMovimientos", {});
            }
            event.stopImmediatePropagation();
            //alert(event.isImmediatePropagationStopped())
        });

        function buscarPaciente() {
            jqGetAjax("cerrar", "contenedor_ar", {});
            $("#contenedor_tabla_asignar_cama").hide();
//*************** Buscar por Nombre **************
            if ($('#opcion_bp').val() == "1") {

                $('#nombre').removeClass('red');
                $('#apellidop').removeClass('red');
                $('#apellidom').removeClass('red');
                var nombre = $('#nombre').val();
                var apellidop = $('#apellidop').val();
                var apellidom = $('#apellidom').val();
                if ($('#cp_completa').is(':checked')) {
                    var tipoconsulta = 1;
                }
                else {
                    var tipoconsulta = 0;
                }
                var tipoconsultaAJAX = 1;

                if (nombre.length > 1 && (apellidop.length > 2 || apellidom.length > 2)) {

                    $('#mensajePDF').html("Buscando ...");
                    $('#mensajePDF').show();
                    $('#btnAddPacUrg').hide();
                    $.post({
                        url: 'ajax-buscarpaciente-nombre',
                        type: "POST",
                        data: {
                            'nombre': nombre,
                            'apellidop': apellidop,
                            'apellidom': apellidom,
                            'tipoconsulta': tipoconsultaAJAX,
                            'Centro_Sal': '{!! $_POST['Centro_Sal'] !!}'
                        },

                        success: function (data) {
                            $('#contenedor_tabla_asignar_cama tr').remove();
                            if (tipoconsulta == 0) {
                                consultaParcial(data);
                            }
                            else {
                                consultaCompleta(data);
                            }
                        },

                        error: function (xhr, status) {
                            $.notify("Ha ocurrido un problema", "error");
                            $('#mensajePDF').hide();
                        },

                    });

                }

                else {

                    $.notify("Indispensable capturar el nombre y uno de los apellidos", "error");
                    $('#nombre').addClass('red');
                    $('#apellidop').addClass('red');
                    $('#apellidom').addClass('red');
                }
            }
//*************** Buscar por CURP **************
            if ($('#opcion_bp').val() == "2") {

                var curp = $('#curp').val();
                var tipoconsultaAJAX = 1;
                if ($('#cp_completa').is(':checked')) {
                    var tipoconsulta = 1;
                }
                else {
                    var tipoconsulta = 0;
                }

                if (curp.length > 9 && curp.length < 19) {

                    $('#mensajePDF').html("Buscando ...");
                    $('#mensajePDF').show();
                    $('#btnAddPacUrg').hide();
                    $.post({
                        url: 'ajax-buscarpaciente-curp',
                        type: "POST",
                        data: {
                            'curp': curp,
                            'tipoconsulta': tipoconsultaAJAX,
                            'Centro_Sal': '{!! $_POST['Centro_Sal'] !!}'
                        },

                        success: function (data) {
                            $('#contenedor_tabla_asignar_cama tr').remove();
                            if (tipoconsulta == 0) {
                                consultaParcial(data);
                            }
                            else {
                                consultaCompleta(data);
                            }
                        },

                        error: function (xhr, status) {
                            $.notify("Ha ocurrido un problema", "error");
                            $('#mensajePDF').hide();
                        },
                    });
                }
                else {
                    {
                        $.notify("Indispensable capturar de 10-18 caracteres", "error");
                    }
                }
            }

//*************** Buscar por Expediente **************
            if ($('#opcion_bp').val() == "3") {
                var nexpediente = $('#expediente').val();
                if ($('#cp_completa').is(':checked')) {
                    var tipoconsulta = 1;
                }
                else {
                    var tipoconsulta = 0;
                }
                var tipoconsultaAJAX = 1;

                if (nexpediente.length > 0 && nexpediente.length < 16) {

                    $('#mensajePDF').html("Buscando ...");
                    $('#mensajePDF').show();
                    $('#btnAddPacUrg').hide();
                    $.post({
                        url: 'ajax-buscarpaciente-nexpediente',
                        type: "POST",
                        data: {
                            'nexpediente': nexpediente,
                            'tipoconsulta': tipoconsultaAJAX,
                            'Centro_Sal': '{!! $_POST['Centro_Sal'] !!}'
                        },

                        success: function (data) {
                            $('#contenedor_tabla_asignar_cama tr').remove();
                            if (tipoconsulta == 0) {
                                consultaParcial(data);
                            }
                            else {
                                consultaCompleta(data);
                            }
                        },

                        error: function (xhr, status) {
                            $.notify("Ha ocurrido un problema", "error");
                            $('#mensajePDF').hide();
                        },
                    });
                }
                else {
                    {
                        $.notify("Indispensable capturar de 1-15 caracteres", "error");
                    }
                }
            }

//*************** Buscar por Folio **************
            if ($('#opcion_bp').val() == "4") {
                var folio = $('#folio').val();
                if ($('#cp_completa').is(':checked')) {
                    var tipoconsulta = 1;
                }
                else {
                    var tipoconsulta = 0;
                }
                var tipoconsultaAJAX = 1;

                if (folio.length > 0 && folio.length < 14) {

                    $('#mensajePDF').html("Buscando ...");
                    $('#mensajePDF').show();
                    $('#btnAddPacUrg').hide();
                    $.post({
                        url: 'ajax-buscarpaciente-folio',
                        type: "POST",
                        data: {
                            'folio': folio,
                            'tipoconsulta': tipoconsultaAJAX,
                            'Centro_Sal': '{!! $_POST['Centro_Sal'] !!}'
                        },

                        success: function (data) {
                            $('#contenedor_tabla_asignar_cama tr').remove();
                            if (tipoconsulta == 0) {
                                consultaParcial(data);
                            }
                            else {
                                consultaCompleta(data);
                            }
                        },

                        error: function (xhr, status) {
                            $.notify("Ha ocurrido un problema", "error");
                            $('#mensajePDF').hide();
                        },
                    });
                }
                else {
                    {
                        $.notify("Indispensable capturar de 1-13 caracteres", "error");
                    }
                }

            }
            event.stopImmediatePropagation();
            //alert(event.isImmediatePropagationStopped());
        }

        //*************** Checkbox desactivado **************
        function consultaParcial(data) {
            $('#mensajePDF').hide();
            $('#btnAddPacUrg').hide();
            $("#contenedor_tabla_asignar_cama").show();
            var tabla = '<table style="font-size: 12px;" class="table table-bordered table-hover">';
            tabla += '<tr>';
            tabla += '<th style="text-align: center;">N°</th>' +
                '<th> Nombre </th>' +
                '<th> Primer Apellido </th>' +
                '<th> Segundo Apellido </th>' +
                '<th> CURP </th>' +
                '<th> Expediente </th>' +
                '<th style="display:none"> Fecha Nacimiento </th>' +
                '<th style="display:none"> Edad </th>' +
                '<th style="display:none"> Folio Afil. </th>' +
                '<th style="display:none"> Consecu </th>' +
                '<th style="display:none"> Ini Vig. </th>' +
                '<th style="display:none"> Fin Vig. </th>' +
                '<th style="display:none"> Consul </th>' +
                '<th style="display:none"> Clave PAC </th>';
            tabla += '</tr>';
            tr = '';

            xmlDoc = $.parseXML(data),
                $xml = $(xmlDoc);

            var con = 1;
            $($xml).find("respuesta").each(function () {
                var clave_pac = ($(this).find("respuesta>clave_pac").text());
                var nombre = ($(this).find("respuesta>nombre").text());
                var primer_ap = ($(this).find("respuesta>primer_ap").text());
                var segundo_ap = ($(this).find("respuesta>segundo_ap").text());
                var curp = ($(this).find("respuesta>curp").text());
                var nexpediente = ($(this).find("respuesta>nexpediente").text());
                var fecha_nac = ($(this).find("respuesta>fecha_nac").text());
                var edad = ($(this).find("respuesta>edad").text());
                var folio_afil = ($(this).find("respuesta>folio_afil").text());
                var tipo_afil = ($(this).find("respuesta>tipo_afil").text());
                var consecutivo = ($(this).find("respuesta>consecutivo").text());
                var inicio_vig = ($(this).find("respuesta>inicio_vig").text());
                var fin_vig = ($(this).find("respuesta>fin_vig").text());
                var nconsultas = ($(this).find("respuesta>nconsultas").text());
                var error = ($(this).find("respuesta>error").text());
                var tituloerror = ($(this).find("respuesta>tituloerror").text());
                var descripcionerror = ($(this).find("respuesta>descripcionerror").text());
                var idsexo = ($(this).find("respuesta>idsexo").text());
                var sexo = ($(this).find("respuesta>sexo").text());

                tr += '<tr onclick="seleccionarPaciente(this)" class="trpaciente">';
                tr += '<td style="text-align: center;">' + con + '</td>' +
                    '<td class="nombre">' + nombre + '</td>' +
                    '<td class="primerap">' + primer_ap + '</td>' +
                    '<td class="segundoap">' + segundo_ap + '</td>' +
                    '<td class="curp">' + curp + '</td>' +
                    '<td class="nexpediente">' + nexpediente + '</td>' +
                    '<td style="display:none" class="fechanac">' + fecha_nac + '</td>' +
                    '<td style="display:none" class="edad">' + edad + '</td>' +
                    '<td style="display:none" class="folio">' + folio_afil + '</td>' +
                    '<td style="display:none" class="conse">' + consecutivo + '</td>' +
                    '<td style="display:none" class="inicio">' + inicio_vig + '</td>' +
                    '<td style="display:none" class="vig">' + fin_vig + '</td>' +
                    '<td style="display:none" class="nconsultas">' + nconsultas + '</td>' +
                    '<td style="display:none" class="clave_pac">' + clave_pac + '</td>' +
                    '<td style="display:none" class="sexo">' + sexo + '</td>' +
                    '<td style="display:none" class="idsexo">' + idsexo + '</td>';
                tr += '</tr>';
                con++;

                if (error == "1") {
                    $.notify(descripcionerror, "info");
                    if (con == 2) {
                        tr = '';
                        $('#btnAddPacUrg').show();
                    }
                }

            });

            tabla += tr;
            tabla += '</table>';
            $('#contenedor_tabla_asignar_cama').html(tabla);
        }

        //*************** Checkbox activado **************
        function consultaCompleta(data) {
            $('#mensajePDF').hide();
            $('#btnAddPacUrg').hide();
            $("#contenedor_tabla_asignar_cama").show();
            if ($('#cp_completa').is(':checked')) {
                $(".menu_panel").hide();
                $(".menu_foto22").hide();
                $('#menu_panel_2').removeClass('menu_panel_2').addClass('menu_panel_3');
            }

            var tabla = '<table style="font-size: 11px;" class="table table-bordered table-hover">';
            tabla += '<tr>';
            tabla += '<th style="text-align: center;">N°</th>' +
                '<th> Nombre </th>' +
                '<th> Primer Apellido </th>' +
                '<th> Segundo Apellido </th>' +
                '<th> CURP </th>' +
                '<th> Expediente </th>' +
                '<th> Fecha Nacimiento </th>' +
                '<th> Edad </th>' +
                '<th> Folio Afil. </th>' +
                '<th> Consecu </th>' +
                '<th> Ini Vig. </th>' +
                '<th> Fin Vig. </th>' +
                '<th> Consul </th>' +
                '<th style="display:none"> Clave PAC </th>';
            tabla += '</tr>';
            tr = '';

            xmlDoc = $.parseXML(data),
                $xml = $(xmlDoc);

            var con = 1;
            $($xml).find("respuesta").each(function () {

                var clave_pac = ($(this).find("respuesta>clave_pac").text());
                var nombre = ($(this).find("respuesta>nombre").text());
                var primer_ap = ($(this).find("respuesta>primer_ap").text());
                var segundo_ap = ($(this).find("respuesta>segundo_ap").text());
                var curp = ($(this).find("respuesta>curp").text());
                var nexpediente = ($(this).find("respuesta>nexpediente").text());
                var fecha_nac = ($(this).find("respuesta>fecha_nac").text());
                var edad = ($(this).find("respuesta>edad").text());
                var folio_afil = ($(this).find("respuesta>folio_afil").text());
                var tipo_afil = ($(this).find("respuesta>tipo_afil").text());
                var consecutivo = ($(this).find("respuesta>consecutivo").text());
                var inicio_vig = ($(this).find("respuesta>inicio_vig").text());
                var fin_vig = ($(this).find("respuesta>fin_vig").text());
                var nconsultas = ($(this).find("respuesta>nconsultas").text());
                var error = ($(this).find("respuesta>error").text());
                var tituloerror = ($(this).find("respuesta>tituloerror").text());
                var descripcionerror = ($(this).find("respuesta>descripcionerror").text());
                var idsexo = ($(this).find("respuesta>idsexo").text());
                var sexo = ($(this).find("respuesta>sexo").text());

                tr += '<tr onclick="seleccionarPaciente(this)" class="trpaciente">';
                tr += '<td style="text-align: center;">' + con + '</td>' +
                    '<td class="nombre">' + nombre + '</td>' +
                    '<td class="primerap">' + primer_ap + '</td>' +
                    '<td class="segundoap">' + segundo_ap + '</td>' +
                    '<td class="curp">' + curp + '</td>' +
                    '<td class="nexpediente">' + nexpediente + '</td>' +
                    '<td class="fechanac">' + fecha_nac + '</td>' +
                    '<td class="edad">' + edad + '</td>' +
                    '<td class="folio">' + folio_afil + '</td>' +
                    '<td class="conse">' + consecutivo + '</td>' +
                    '<td class="inicio">' + inicio_vig + '</td>' +
                    '<td class="vig">' + fin_vig + '</td>' +
                    '<td class="nconsultas">' + nconsultas + '</td>' +
                    '<td style="display:none" class="clave_pac">' + clave_pac + '</td>' +
                    '<td style="display:none" class="sexo">' + sexo + '</td>' +
                    '<td style="display:none" class="idsexo">' + idsexo + '</td>';
                tr += '</tr>';
                con++;

                if (error == "1") {
                    $.notify(descripcionerror, "info");
                    if (con == 2) {
                        tr = '';
                        $('#btnAddPacUrg').show();
                    }
                }

            });
            tabla += tr;
            tabla += '</table>';
            $('#contenedor_tabla_asignar_cama').html(tabla);
        }

        @if($_POST['definirFuncion'] == 1)
        var anySelected = false;
        function seleccionarPaciente(object) {
            //var currentRow = $(this).closest("tr");
            if(!anySelected) {
                anySelected = true;
                var currentRow = $(object);
                var clave_pac = currentRow.find(".clave_pac").html();
                $.post({
                    url: 'Admision_PacienteExistente',
                    type: "POST",
                    data: {
                        CLAVE_PAC: clave_pac
                    },
                    success: function (data) {
                        if (data.expac != 0) {
                            $.notify(data.expac, "error");
                        } else {

                            var nombre = currentRow.find(".nombre").html();
                            var primerap = currentRow.find(".primerap").html();
                            var segundoap = currentRow.find(".segundoap").html();
                            var curp = currentRow.find(".curp").html();
                            var expediente = currentRow.find(".nexpediente").html();
                            var fechanac = currentRow.find(".fechanac").html();
                            var edad = currentRow.find(".edad").html();
                            var folio = currentRow.find(".folio").html();
                            var idsexo = currentRow.find(".idsexo").html();
                            var sexo = currentRow.find(".sexo").html();
                            var idespecialidad = '{{$_POST['idespecialidad']}}';
                            var nocama = '{{$_POST['nocama']}}';
                            var descripcioncama = '{{$_POST['descripcioncama']}}';
                            var idtiposervicio = '{{$_POST['idtiposervicio']}}';
                            var tiposervicio = '{{$_POST['tiposervicio']}}';
                            var especialidad = "{{trim($_POST['especialidad'])}}";

                            var clave_pac_urg = currentRow.find(".clave_pac").html();

                            $(".menu_panel").show();
                            $("#contenedor_tabla_asignar_cama").hide();

                            @if(isset($_POST['ban']) == 1)
                                console.log('<?php echo $_POST['ban'];?>');
                                getView("agenda_urgencias_ficha", "contenedor_ficha",
                                    {
                                        clave_pac: clave_pac_urg,
                                        nombre: nombre,
                                        primerap: primerap,
                                        segundoap: segundoap,
                                        folio: folio,
                                        verAgenda : 0,
                                        Centro_Sal : '{!! $_POST['Centro_Sal'] !!}'
                                    });
                                jqGetAjax("agenda_urgencias_listado_contenedor", "contenedor_listado", { clave_pac: clave_pac_urg, Centro_Sal : '{!! $_POST['Centro_Sal'] !!}' });
                            @else
                                getView("asignar-cama", "sc",
                                    {
                                        clave_pac: clave_pac,
                                        nombre: nombre,
                                        primerap: primerap,
                                        segundoap: segundoap,
                                        curp: curp,
                                        expediente: expediente,
                                        fechanac: fechanac,
                                        edad: edad,
                                        folio: folio,
                                        sexo: sexo,
                                        idsexo: '' + idsexo,
                                        // centro_sal     : centro_sal,
                                        idtiposervicio: idtiposervicio,
                                        tiposervicio: tiposervicio,
                                        nocama: nocama,
                                        descripcioncama: descripcioncama,
                                        idespecialidad: idespecialidad,
                                        especialidad: especialidad
                                    });
                            @endif
                            //se elimina la vista de busqueda
                            $('#wbp').remove();
                            anySelected = false;
                            event.stopImmediatePropagation();
                            //alert(event.isImmediatePropagationStopped());

                        }
                    },
                    error: function (xhr, status) {
                        anySelected = false;
                        $.notify("Ha ocurrido un problema", "error");
                    }

                });
            }

        }
        @endif

        $("#cerrar_tabla").on('click', function () {
            jqGetAjax("cerrar", "contenedor_ar", {});
            $("#contenedor_tabla_asignar_cama").show();

        });
    </script>
    <div class="box box-primary">
        <div class="box-header with-border">
            <h3 class="box-title">Búsqueda de Pacientes</h3>
            <div class="box-tools pull-right">
                <button type="button" class="btn btn-box-tool" data-widget="collapse"><i
                            class="fa fa-minus"></i>
                </button>
            </div>
        </div>
        <!-- /.box-header -->
        <div class="box-body">
            <div class="row">
                <div class="col-sm-3">
                    <div class="input-group-sm form-group-sm">
                        <label>Buscar por:</label>
                        <select id="opcion_bp" name="opcion_bp" class="form-control col-md-1">
                            <option value="1">Nombre</option>
                            <option value="2">CURP</option>
                            <option value="3">Expediente</option>
                            <option value="4">Folio de Seguro Popular</option>
                        </select>
                    </div>
                </div>

                <div class="col-sm-2">
                    <div class="form-group" style="width: 150px;">
                        <label></label>
                        <div class="input-group input-group-sm">
                                <span class="input-group-addon">
                                    <input type="checkbox" id="cp_completa"
                                           name="cp_completa">
                                </span>
                            <br><br>
                            <span class="input-group-addon">Visualizar información completa del paciente</span>
                        </div>
                    </div>
                </div>


            </div>

            <div class="row" id="tblMovimientos" name="tblMovimientos"></div>
            <br>
            <div id="arCama" name="arCama"></div>
            <div id="mensajePDF" style="display:none"></div>
            <div id="contenedor_tabla_asignar_cama"></div>

        </div>
    </div>
</div>
